import {z} from 'zod'

export const tagSchema = z.object({
  id: z.uuid(),
  name: z.string().min(3, {error: 'The name of the tag must be at least 3 characters long'}),
})

export const createTagSchema = tagSchema.omit({id: true})
export const deleteTagSchema = tagSchema.pick({id: true})

export const linkUnlinkTagsToContactsSchema = z.object({
  tagId: z.uuid(),
  contactIds: z.array(z.uuid()),
})
